#
# spec file for package python-latexcodec
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname latexcodec
Name:           python-latexcodec
Version:        2.0.1
Release:        3.4
Summary:        A lexer and codec to work with LaTeX code in Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/mcmtroffaes/latexcodec
Source:         https://github.com/mcmtroffaes/latexcodec/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# https://github.com/mcmtroffaes/latexcodec/commit/88eca3e4e279ffa313662a75052598ec5610ff92
Patch0:         python-latexcodec-no-python2.patch
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A lexer and codec to work with LaTeX code in Python.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.rst
%doc AUTHORS.rst CHANGELOG.rst README.rst
%{python_sitelib}/*

%changelog
* Tue Mar  7 2023 pgajdos@suse.com
- drop six from requirements.txt
- modified patches
  %% python-latexcodec-no-python2.patch (refreshed)
* Fri Oct 21 2022 pgajdos@suse.com
- added patches
  https://github.com/mcmtroffaes/latexcodec/commit/88eca3e4e279ffa313662a75052598ec5610ff92
  + python-latexcodec-no-python2.patch
* Thu Jul 23 2020 Matej Cepl <mcepl@suse.com>
- Update to 2.0.1:
  - Drop Python 3.3 support.
  - Added a few more translations.
  - Lexer now processes unicode directly, to fix various issues with
    multibyte encodings. This also simplifies the implementation. Many
    thanks to davidweichiang for reporting and implementing.
  - New detailed description of the package for the readme, to clarify
    the behaviour and design choices. Many thanks to tschantzmc for
    contributing this description (see issue #70).
  - Minor fix in decoding of LaTeX comments (see issue #72).
  - Support Python 3.9 (see issue #75).
  - More symbols (THIN SPACE, various accented characters).
  - Fix lexer issue with multibyte encodings (thanks to davidweichiang
    for reporting).
  - More symbols (EM SPACE, MINUS SIGN, GREEK PHI SYMBOL, HYPHEN,
    alternate encodings of Swedish å and Å).
  - Doesn't need nose anymore (switched to pytest).
* Thu Jan  4 2018 mpluskal@suse.com
- Initial package for version 1.0.5
